Subject: Re: [PATCH v2] builtin/mktree: remove USE_THE_REPOSITORY_VARIABLE

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2026 12:58:43 -0700

Tian Yuchen <[email-masked]> writes:

>> As somebody (Phillip?) said earlier, we probably should update
>> document and clearly say that removing USE_THE_REPOSITORY_VARIABLE
>> is not a high-value target when done in the builtin/ directory, even
>> though it is very desirable thing to do for more library-ish part of
>> the codebase.
>
> I am fully aware of this, and I did not specifically modify 
> the_repository in builtin/ during previous patches. It's just that this 
> macro makes me particularly uncomfortable, and I believe it would be 
> better to remove it.
>
> On the other hand, this patch is indeed boring and useless. Feel free to 
> ignore it.

Nah, I think we do want to keep it; once it is written, it is a
waste to discard it, especially given that the change is not wrong
per-se.  If anything else, having it will save somebody else time
and effort to do the same thing again ;-).

Thanks.